リンク管理
GET https://koenavi.jp/api/links/
curl --request GET \
--url 'https://koenavi.jp/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 (String) | 検索文字列。 |
| search_by | 任意 文字列 (String) | 検索対象フィールド。許可値: url, location_url。 |
| is_enabled | 任意 真偽値 (Boolean) | |
| domain_id | 任意 整数 (Integer) | |
| type | 任意 文字列 (String) |
biolink, link, file, vcard, event, static |
| datetime_field | 任意 文字列 (String) | 許可される値: datetime, last_datetime |
| datetime_start | 任意 文字列 (String) | 開始日時(Y-m-d H:i:s 形式)。 |
| datetime_end | 任意 文字列 (String) | 終了日時(Y-m-d H:i:s 形式)。 |
| order_by | 任意 文字列 (String) | 並び替え対象フィールド。許可値: link_id, datetime, last_datetime, clicks, url。 |
| order_type | 任意 文字列 (String) | 並び順。昇順は ASC、降順は DESC。 |
| page | 任意 整数 (Integer) | 取得するページ番号(初期値: 1)。 |
| results_per_page | 任意 整数 (Integer) | 1ページあたりの取得件数。許可値: 10, 25, 50, 100, 250, 500, 1000(初期値: 25)。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": true,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-17 22:49:25"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://koenavi.jp/api/links?page=1",
"last": "https://koenavi.jp/api/links?page=1",
"next": null,
"prev": null,
"self": "https://koenavi.jp/api/links?page=1"
}
}
GET https://koenavi.jp/api/links/{link_id}
curl --request GET \
--url 'https://koenavi.jp/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": true,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-17 22:49:25"
}
}
POST https://koenavi.jp/api/links
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | 任意 文字列 (String) | link |
| location_url | 必須 文字列 (String) | 遷移先URL。利用条件: is_bulk = 0 |
| location_urls | 必須 文字列 (String) | 遷移先URL。利用条件: is_bulk = 1 |
| url | 任意 文字列 (String) | 生成するリンクのURLスラッグ(空欄の場合はランダム生成)。利用条件: is_bulk = 0 |
| is_bulk | 任意 真偽値 (Boolean) | |
| domain_id | 任意 整数 (Integer) | - |
| project_id | 任意 整数 (Integer) | - |
| pixels_ids | 任意 配列 (Array) 整数 (Integer) | - |
| email_reports | 任意 配列 (Array) | 通知ハンドラーID配列 |
| schedule | 任意 真偽値 (Boolean) | - |
| start_date | 任意 文字列 (String) | 利用条件: schedule = true |
| end_date | 任意 文字列 (String) | 利用条件: schedule = true |
| clicks_limit | 任意 整数 (Integer) | - |
| expiration_url | 任意 文字列 (String) | - |
| leap_link | 任意 文字列 (String) | - |
| sensitive_content | 任意 真偽値 (Boolean) | - |
| http_status_code | 任意 整数 (Integer) | 許可される値: 301, 302, 307, 308 |
| app_linking_is_enabled | 任意 真偽値 (Boolean) | - |
| cloaking_is_enabled | 任意 真偽値 (Boolean) | - |
| cloaking_title | 任意 文字列 (String) | - |
| cloaking_meta_description | 任意 文字列 (String) | - |
| cloaking_custom_js | 任意 文字列 (String) | - |
| cloaking_favicon | 任意 ファイル (File) | - |
| cloaking_opengraph | 任意 ファイル (File) | - |
| password | 任意 文字列 (String) | - |
| forward_query_parameters_is_enabled | 任意 真偽値 (Boolean) | - |
| seo_block | 任意 真偽値 (Boolean) | - |
| utm_source | 任意 文字列 (String) | - |
| utm_medium | 任意 文字列 (String) | - |
| utm_campaign | 任意 文字列 (String) | - |
| targeting_type | 任意 文字列 (String) | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = continent_code |
| targeting_continent_code_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = continent_code |
| targeting_country_code_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = country_code |
| targeting_country_code_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = country_code |
| targeting_city_name_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = city_name |
| targeting_city_name_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = city_name |
| targeting_device_type_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = device_type |
| targeting_device_type_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = device_type |
| targeting_browser_language_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = browser_language |
| targeting_browser_language_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = browser_language |
| targeting_rotation_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = rotation |
| targeting_rotation_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = rotation |
| targeting_os_name_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = os_name |
| targeting_os_name_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = os_name |
| targeting_browser_name_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = browser_name |
| targeting_browser_name_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = browser_name |
| is_enabled | 任意 真偽値 (Boolean) | - |
curl --request POST \
--url 'https://koenavi.jp/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://koenavi.jp/' \
--url 'https://koenavi.jp/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://koenavi.jp/' \
{
"data": {
"id": 1
}
}
POST https://koenavi.jp/api/links/{link_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| location_url | 任意 文字列 (String) | 遷移先URL。 |
| url | 任意 文字列 (String) | 生成するリンクのURLスラッグ(空欄の場合はランダム生成)。 |
| domain_id | 任意 整数 (Integer) | - |
| project_id | 任意 整数 (Integer) | - |
| pixels_ids | 任意 配列 (Array) 整数 (Integer) | - |
| email_reports | 任意 配列 (Array) | 通知ハンドラーID配列 |
| schedule | 任意 真偽値 (Boolean) | - |
| start_date | 任意 文字列 (String) | 利用条件: schedule = true |
| end_date | 任意 文字列 (String) | 利用条件: schedule = true |
| clicks_limit | 任意 整数 (Integer) | - |
| expiration_url | 任意 文字列 (String) | - |
| leap_link | 任意 文字列 (String) | - |
| sensitive_content | 任意 真偽値 (Boolean) | - |
| http_status_code | 任意 整数 (Integer) | 許可される値: 301, 302, 307, 308 |
| app_linking_is_enabled | 任意 真偽値 (Boolean) | - |
| cloaking_is_enabled | 任意 真偽値 (Boolean) | - |
| cloaking_title | 任意 文字列 (String) | - |
| cloaking_meta_description | 任意 文字列 (String) | - |
| cloaking_custom_js | 任意 文字列 (String) | - |
| cloaking_favicon | 任意 ファイル (File) | - |
| cloaking_opengraph | 任意 ファイル (File) | - |
| password | 任意 文字列 (String) | - |
| forward_query_parameters_is_enabled | 任意 真偽値 (Boolean) | - |
| seo_block | 任意 真偽値 (Boolean) | - |
| utm_source | 任意 文字列 (String) | - |
| utm_medium | 任意 文字列 (String) | - |
| utm_campaign | 任意 文字列 (String) | - |
| targeting_type | 任意 文字列 (String) | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = continent_code |
| targeting_continent_code_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = continent_code |
| targeting_country_code_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = country_code |
| targeting_country_code_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = country_code |
| targeting_city_name_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = city_name |
| targeting_city_name_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = city_name |
| targeting_device_type_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = device_type |
| targeting_device_type_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = device_type |
| targeting_browser_language_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = browser_language |
| targeting_browser_language_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = browser_language |
| targeting_rotation_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = rotation |
| targeting_rotation_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = rotation |
| targeting_os_name_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = os_name |
| targeting_os_name_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = os_name |
| targeting_browser_name_key[index] | 任意 文字列 (String) | 利用条件: targeting_type = browser_name |
| targeting_browser_name_value[index] | 任意 文字列 (String) | 利用条件: targeting_type = browser_name |
| is_enabled | 任意 真偽値 (Boolean) | - |
| link_id | 任意 整数 (Integer) | - |
curl --request POST \
--url 'https://koenavi.jp/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://koenavi.jp/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": 1,
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-17 22:49:25"
}
}
DELETE https://koenavi.jp/api/links/{link_id}
curl --request DELETE \
--url 'https://koenavi.jp/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://koenavi.jp/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \